org.apache.solr.client.solrj.io.stream

## Class CloudSolrStream.StreamOpener

- java.lang.Object
- - org.apache.solr.client.solrj.io.stream.CloudSolrStream.StreamOpener

All Implemented Interfaces:
  Callable<CloudSolrStream.TupleWrapper>

Enclosing class:
  CloudSolrStream

    protected class CloudSolrStream.StreamOpener
    extends Object
    implements Callable<CloudSolrStream.TupleWrapper>

### Constructor Summary

Constructors
Constructor and Description
`CloudSolrStream.StreamOpener(SolrStream stream, Comparator<Tuple> comp)`

### Method Summary

Methods
`CloudSolrStream.TupleWrapper` `call()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CloudSolrStream.StreamOpener

    public CloudSolrStream.StreamOpener(SolrStream stream,
                                Comparator<Tuple> comp)

### Method Detail

#### call

    public CloudSolrStream.TupleWrapper call()
                                      throws Exception

Specified by:
  `call` in interface `Callable<CloudSolrStream.TupleWrapper>`
Throws:
  `Exception`